/*
* 07/08/2003 - 19:09:03
*
* LinkClickListener.java - 
* Copyright (C) 2003 Ashwin Jayaprakash
* ashwinjay@rediffmail.com
* www.javaforu.com
*
* This program is free software; you can redistribute it and/or
* modify it under the terms of the GNU General Public License
* as published by the Free Software Foundation; either version 2
* of the License, or any later version.
*
* This program is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
* GNU General Public License for more details.
*
* You should have received a copy of the GNU General Public License
* along with this program; if not, write to the Free Software
* Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
*/
package searchassist.ui;

import javax.swing.event.HyperlinkEvent;
import javax.swing.event.HyperlinkListener;

import netscape.javascript.JSObject;

/**
 * @author Ashwin Jayaprakash
 */
public class LinkClickListener implements HyperlinkListener
{
	private JSObject window;

	/**
	 * Constructor for LinkClickListener.
	 */
	public LinkClickListener(Attributes attrs)
	{
			window = attrs.getWindow();
	} //end constr

	/**
	 * @see javax.swing.event.HyperlinkListener#hyperlinkUpdate(HyperlinkEvent)
	 */
	public void hyperlinkUpdate(HyperlinkEvent event)
	{
		if (event.getEventType() == HyperlinkEvent.EventType.ACTIVATED)
		{
			String[] args = new String[] { event.getURL().toExternalForm(), "", "" };
			window.call("open", args);
		} //end if
	} //end method

} //end class
